# SubclubWrapper

A wrapper for [Sub Club Card](http://www.subway.co.jp/info/subclubcard/) info.

## Installation

Add this line to your application's Gemfile:

    gem 'subclub_wrapper'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install subclub_wrapper

## Usage

```ruby
scw = Subclub.Client.new()
# set card_id and pin_id
scw.card_id = "1234567890123456"
scw.pin_id  = "123456"

scw.info 
# => {"カード番号"=>"1234567890123456", "現在の残高"=>"￥1330", "現在のポイント残高"=>"30Pt", "有効期限"=>"2016/02/12 23:59:59", "照会日時"=>"2014/02/13 10:18:18"}

scw.history
# => [{"取引日時"=>"2012/03/25 17:32:50", "店舗"=>"仙台一番町勾当台", "取引種別"=>"バリュー支払", "金額"=>"-460", "ポイント"=>"4"}, {"取引日時"=>"2012/03/25 17:32:27", "店舗"=>"仙台一番町勾当台", "取引種別"=>"バリューチャージ", "金額"=>"1030", "ポイント"=>"0"}]
```

## Contributing

1. Fork it ( http://github.com/rinx/subclub_wrapper/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
